%define upstream_name    Dist-Zilla-Plugin-MetaProvides-Package
%define upstream_version 2.004003

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Extract namespaces/version from traditional packages for provides
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump) >= 1.160.0
BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::MetaProvides::ProvideRecord) >= 1.140.0.0
BuildRequires: perl(Dist::Zilla::Plugin::FinderCode)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides) >= 1.150.0.0
BuildRequires: perl(Dist::Zilla::Role::MetaProvider::Provider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper) >= 0.3.0
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 1.3.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata) >= 1.0.22
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::LazyRequire)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 2.4.3-5.mga9
+ Revision: 1808959
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.4.3-4.mga8
+ Revision: 1504099
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.4.3-3.mga7
+ Revision: 1283097
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2.4.3-2.mga7
+ Revision: 1164253
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 2.4.3-1.mga7
+ Revision: 1157639
- update to 2.004003

* Sun Jun 19 2016 pterjan <pterjan> 2.3.2-2.mga6
+ Revision: 1026359
- Rebuild for perl 5.22.2

* Thu Apr 28 2016 shlomif <shlomif> 2.3.2-1.mga6
+ Revision: 1007577
- update to 2.003002

* Thu Feb 18 2016 umeabot <umeabot> 2.3.1-2.mga6
+ Revision: 966681
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 2.3.1-1.mga6
+ Revision: 846539
- update to 2.003001

* Wed Oct 15 2014 umeabot <umeabot> 2.1.2-3.mga5
+ Revision: 742779
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 2.1.2-1.mga5
+ Revision: 672798
- update to 2.001002

* Sun Aug 31 2014 sander85 <sander85> 2.1.1-1.mga5
+ Revision: 669889
- update to 2.001001

* Wed Aug 27 2014 sander85 <sander85> 2.1.0-1.mga5
+ Revision: 668709
- update to 2.001000

* Sat Aug 16 2014 sander85 <sander85> 2.0.4-1.mga5
+ Revision: 664094
- update to 2.000004

* Tue Jul 29 2014 sander85 <sander85> 2.0.3-1.mga5
+ Revision: 657875
- update to 2.000003

* Tue Jul 15 2014 sander85 <sander85> 2.0.2-1.mga5
+ Revision: 652968
- update to 2.000002

* Mon Feb 17 2014 jquelin <jquelin> 2.0.1-1.mga5
+ Revision: 593455
- update to 2.000001

* Mon Oct 21 2013 umeabot <umeabot> 1.150.0.0-2.mga4
+ Revision: 537090
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.150.0.0-1.mga4
+ Revision: 486277
- update to 1.15000000

* Tue Jul 09 2013 sander85 <sander85> 1.140.0.30-1.mga4
+ Revision: 452039
- update to 1.14000003

* Fri Jun 07 2013 jquelin <jquelin> 1.140.0.20-1.mga4
+ Revision: 439132
- update to 1.14000002

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0.10-2.mga3
+ Revision: 366282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 1.140.0.10-1.mga2
+ Revision: 219766
- update to 1.14000001

* Mon Apr 11 2011 jquelin <jquelin> 1.120.605.10-1.mga1
+ Revision: 83364
- update to 1.12060501
- update to 1.12060213

* Sat Feb 26 2011 jquelin <jquelin> 1.120.449.80-1.mga1
+ Revision: 60386
- update buildrequires:
- update to 1.12044908

* Thu Jan 27 2011 jquelin <jquelin> 1.110.343.40-1.mga1
+ Revision: 41814
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaProvides-Package

